image: python:3.7-alpine

variables:
  PIP_CACHE_DIR: "$CI_PROJECT_DIR/pip-cache"

cache:
  paths:
    - "$PIP_CACHE_DIR"
  key: "$CI_PROJECT_ID"

.install_sphinx:
  before_script:
  - apk add gcc musl-dev
  - pip install --cache-dir "$PIP_CACHE_DIR" -U -r docs/requirements.txt

test-docs:
  stage: test
  extends:
  - .install_sphinx
  script:
  - sphinx-build -b html docs userdocs
  artifacts:
    paths:
    - userdocs
  only:
  - branches

pages:
  stage: deploy
  extends:
  - .install_sphinx
  script:
  - sphinx-build -b html docs public
  artifacts:
    paths:
    - public
  only:
  - tags

